import type { Identity } from '@prisma/client'

import { identities } from './identities'
import type { StandardScenario } from './identities.scenarios'

// Generated boilerplate tests do not account for all circumstances
// and can fail without adjustments, e.g. Float.
//           Please refer to the RedwoodJS Testing Docs:
//       https://redwoodjs.com/docs/testing#testing-services
// https://redwoodjs.com/docs/testing#jest-expect-type-considerations

describe('identities', () => {
  scenario('returns all identities', async (scenario: StandardScenario) => {
    const result = await identities()

    expect(result.length).toEqual(Object.keys(scenario.identity).length)
  })
})
